Page MenuHomePhabricator

Fix language screenshots browser test on VisualEditor
Closed, ResolvedPublic8 Story Points

Description

Language screenshot job has been failing for past 2 months[0], due to which the images in VisualEditor User guide[1] is not updated. Hence this needs to be fixed.

[0]: https://integration.wikimedia.org/ci/view/BrowserTests/view/language-screenshot/job/browsertests-VisualEditor-language-screenshot-os_x_10.10-firefox/

[1]: https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide

Event Timeline

Vikassy created this task.Nov 24 2015, 3:36 AM
Vikassy claimed this task.
Vikassy raised the priority of this task from to Normal.
Vikassy updated the task description. (Show Details)
Vikassy added subscribers: Vikassy, zeljkofilipin, Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2015, 3:36 AM

Change 252409 had a related patch set uploaded (by Zfilipin):
WIP [BrowserTest] Fix broken browser test

https://gerrit.wikimedia.org/r/252409

Change 252409 abandoned by Zfilipin:
WIP [BrowserTest] Fix broken browser test

Reason:
No longer fixes the problem. :(

https://gerrit.wikimedia.org/r/252409

Change 274749 abandoned by Zfilipin:
WIP Fix language screenshots browser test on VisualEditor

Reason:
Tests are so broken it is not even funny. :|

https://gerrit.wikimedia.org/r/274749

Change 274955 had a related patch set uploaded (by Zfilipin):
[BrowserTest] Disable failing language screenshots

https://gerrit.wikimedia.org/r/274955

Change 274955 merged by jenkins-bot:
[BrowserTest] Disable failing language screenshots

https://gerrit.wikimedia.org/r/274955

Change 276458 had a related patch set uploaded (by Zfilipin):
[BrowserTest] Disable failing language screenshot scenario

https://gerrit.wikimedia.org/r/276458

zeljkofilipin removed zeljkofilipin as the assignee of this task.Mar 10 2016, 2:11 PM

Change 276458 merged by jenkins-bot:
[BrowserTest] Disable failing language screenshot scenario

https://gerrit.wikimedia.org/r/276458

Jdforrester-WMF set the point value for this task to 0.Apr 27 2016, 5:17 PM
Elitre added a subscriber: Elitre.May 9 2016, 8:34 AM

Change 295924 had a related patch set uploaded (by Esanders):
Add screenshots grunt task for taking documentation screenshots

https://gerrit.wikimedia.org/r/295924

Jdforrester-WMF changed the point value for this task from 0 to 8.

Change 295924 had a related patch set uploaded (by Esanders):
Add screenshots grunt task for taking documentation screenshots

https://gerrit.wikimedia.org/r/295924

Change 295924 merged by jenkins-bot:
Add screenshots grunt task for taking documentation screenshots

https://gerrit.wikimedia.org/r/295924